diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 4650eeb..bb14fdf 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -22771,7 +22771,8 @@ coefficient ring, since it will complain otherwise.
 
                 if is?(k, %diff) then
                     args := argument k
-                    differentiand := replaceDiffs(subst(args.1, args.2 = args.3), op, sy)
+                    differentiand := 
+                     replaceDiffs(subst(args.1, args.2 = args.3), op, sy)
                     expr := subst(expr, [k], [opdiff differentiand])
 --                    => "iterate"
             expr
@@ -22780,7 +22781,8 @@ coefficient ring, since it will complain otherwise.
         seriesSolve(expr, op, sy, l) ==
             ex := replaceDiffs(expr, op, sy) 
             f := compiledFunction(ex, name op, sy)$MKF
-            seriesSolve(f(#1, monomial(1,1)$UTSSUPF), l)$TaylorSolve(F, UTSF, UTSSUPF)
+            seriesSolve(x+->f(x, monomial(1,1)$UTSSUPF), l)_
+              $TaylorSolve(F, UTSF, UTSSUPF)
 @            
 <<EXPRSOL.dotabb>>=
 "EXPRSOL" [color="#FF4488",href="bookvol10.4.pdf#nameddest=EXPRSOL"]
diff --git a/changelog b/changelog
index 0530e9a..f57aab1 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090518 tpd src/axiom-website/patches.html 20090518.09.tpd.patch
+20090518 tpd books/bookvol10.4 EXPRSOL +-> conversion
 20090518 tpd src/axiom-website/patches.html 20090518.08.tpd.patch
 20090518 tpd books/bookvol10.3 ULSCONS +-> conversion
 20090518 tpd src/axiom-website/patches.html 20090518.07.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6427f36..741cea4 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1354,5 +1354,7 @@ bookvol10.4 EXPR2 +-> conversion<br/>
 bookvol10.3 SMTS add input, help, examples<br/>
 <a href="patches/20090518.08.tpd.patch">20090518.08.tpd.patch</a>
 bookvol10.3 ULSCONS +-> conversion<br/>
+<a href="patches/20090518.09.tpd.patch">20090518.09.tpd.patch</a>
+bookvol10.4 EXPRSOL +-> conversion<br/>
  </body>
 </html>
